<?php if ($_POST) : ?>
    <div class="notice notice-success is-dismissible"><p>Your setting has been saved</p></div>
<?php endif; ?>

<div id="kirimemail">
    <div id="keheading">
        <h1 class="kebrand">
            <img src="<?php echo esc_attr($logo); ?>" alt="KIRIM.EMAIL" height="50">
        </h1>
        <ul class="kenav">
            <li class="help">
                <!-- go to tutorial -->
                <a href="https://kirim.email/tutorial-menggunakan-kirim-email-woocommerce-plugin"
                   target="_blank">Help</a>
            </li>
            <li>
                <a href="#" id="show-kesetting">Account Settings</a>
            </li>
        </ul>
    </div>
    <div id="kebody">
        <div id="kesetting" class="hidden">
            <h2 class="ketitle">
                Account Settings
                <span id="close-kesetting" class="keclose">Close</span>
            </h2>
            <form method="post" novalidate="novalidate">
                <div class="keform-row">
                    <label>Username</label>
                    <div class="kefield">
                        <input type="text" class="keform-input" name="api_username" id="api_username"
                               value="<?php echo esc_attr(get_option('ke_wc_api_username')); ?>"/>
                        <div class="keform-hint">Fill your KIRIM.EMAIL Username here</div>
                    </div>
                </div>
                <div class="keform-row">
                    <label>API Token</label>
                    <div class="kefield">
                        <input type="text" class="keform-input" name="api_token" id="api_token"
                               value="<?php echo esc_attr(get_option('ke_wc_api_token')); ?>"/>
                        <div class="keform-hint">
                            Fill your KIRIM.EMAIL API Token here.
                            <!-- go to tutorial -->
                            <a href="<?php echo esc_attr(KIRIMWOO_APP_URL); ?>account/tokenconfig" target="_blank">How to get
                                API Token?</a>
                        </div>
                    </div>
                </div>
                <div class="keform-row kebutton-box">
                    <div class="kefield">
                        <button type="submit" class="kebutton">Save Changes</button>
                    </div>
                </div>
            </form>
        </div>
        <div id="kecontent">
            <!-- show this if user aren't connect -->
            <div class="keblank-state keblank-account <?php echo ($type == 'no-account') ? '' : 'hidden'; ?>">
                <img src="<?php echo esc_attr($alert); ?>" alt="Not Connected" width="64">
                <h3>You aren't connected to KIRIM.EMAIL yet!</h3>
                <p>Please connect your KIRIM.EMAIL account first <br> via <strong>"Account Settings"</strong></p>
            </div>
            <div class="keblank-state keblank-form <?php echo ($type == 'no-woocommerce') ? '' : 'hidden'; ?>">
                <img src="<?php echo esc_attr($blank); ?>" alt="Not Connected" width="64">
                <h3>No WooCommerce plugin is activated</h3>
                <p>This plugin need WooCommerce plugin to be activated.</p>
            </div>
            <?php add_thickbox(); ?>
            <div class="kepanel <?php echo ($type == 'normal') ? '' : 'hidden'; ?>">
                <div class="kepanel-heading">
                    <h3>Manage Integration</h3>
                </div>
                <form method="post" novalidate="novalidate">
                    <div class="kepanel-body" id="details">
                        <div class="keform-row">
                            <label>On Order Pending</label>
                            <div class="kefield">
                                <select class="keform-input" name="on_pending" id="on_pending"></select>
                                <span class="kirimemail-woocommerce-loading-indicator loading"></span>
                                <div class="keform-hint">Customer will be added to this list when order is pending</div>
                            </div>
                        </div>
                        <div class="keform-row">
                            <label>On Order Created</label>
                            <div class="kefield">
                                <select class="keform-input" name="on_created" id="on_created"></select>
                                <span class="kirimemail-woocommerce-loading-indicator loading"></span>
                                <div class="keform-hint">Customer will be added to this list when order has been
                                    created
                                </div>
                            </div>
                        </div>
                        <div class="keform-row">
                            <label>On Order Processed</label>
                            <div class="kefield">
                                <select class="keform-input" name="on_processed" id="on_processed"></select>
                                <span class="kirimemail-woocommerce-loading-indicator loading"></span>
                                <div class="keform-hint">Customer will be added to this list when order on process</div>
                            </div>
                        </div>
                        <div class="keform-row">
                            <label>On Order Completed</label>
                            <div class="kefield">
                                <select class="keform-input" name="on_completed" id="on_completed"></select>
                                <span class="kirimemail-woocommerce-loading-indicator loading"></span>
                                <div class="keform-hint">Customer will be added to this list when order has been
                                    completed
                                </div>
                            </div>
                        </div>
                        <div class="keform-row kebutton-box">
                            <div class="kefield">
                                <button type="submit" class="kebutton">Save Changes</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
